scala.tools.nsc.transform.patmat.Interface

# vpmName

#### object vpmName

Source
  PatternMatching.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. vpmName
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val _match: Global.TermName

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def counted(str: String, i: Int): Global.TermName

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### val flatMap: Global.TermName

12. #### val get: Global.TermName

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### val guard: Global.TermName

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### val isEmpty: Global.TermName

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### val one: Global.TermName

22. #### val orElse: Global.TermName

23. #### val outer: Global.TermName

24. #### val runOrElse: Global.TermName

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### val zero: Global.TermName

### Inherited from AnyRef

### Inherited from Any

### Ungrouped